Option Strict Off
Option Explicit On
Friend Class Form1
	Inherits System.Windows.Forms.Form
	'This program is from www.ultimaserial.com
	Dim SampleRate As Double
	Dim bRunning As Boolean
    Dim f As Double
    Dim formdone As Boolean
	
	
	'UPGRADE_WARNING: Event Check1.CheckStateChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Check1_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Check1.CheckStateChanged
        If formdone = False Then Exit Sub
        If Check1.CheckState = 1 Then
            UltimaWaterfall1.ChartType = ULTIMAWATERFALLLib.enumCharType.uw3D
            Option5.Enabled = False
            Option6.Enabled = False
        Else
            UltimaWaterfall1.ChartType = ULTIMAWATERFALLLib.enumCharType.uw2D
            Option5.Enabled = True
            Option6.Enabled = True
        End If
    End Sub
	
	Private Sub Command2_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command2.Click
		Timer1.Enabled = False
		bRunning = False
		XChart1.Lock = True
	End Sub
	
	Private Sub Command1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command1.Click
		XChart1.set_Ymin(0, 0)
		XChart1.SumWaveforms = False
		XChart1.Lock = False
		XChart1.DoubleActiveTrace = False
		XChart1.ScrollMode = False
		f = 1
		
		Label3.Text = "0Hz"
		Label4.Text = VB6.Format(SampleRate / 2) & "Hz"
		
		Timer1.Interval = 100
		
		
		Timer1.Enabled = True
		bRunning = True
		
	End Sub
	
	
	Private Sub Command3_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Command3.Click
		UltimaWaterfall1.Copy2Clipboard()
	End Sub
	
	
	
	'UPGRADE_WARNING: Event Option5.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option5_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option5.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwR2L
        End If
    End Sub
	
	
	
	'UPGRADE_WARNING: Event Option6.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option6_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option6.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwR2Lx
        End If
    End Sub
	
	Private Sub XChart1_CrossHair(ByVal eventSender As System.Object, ByVal eventArgs As AxXCHARTLib._DXChartEvents_CrossHairEvent) Handles XChart1.CrossHair
		If eventArgs.Offset < 0 Then eventArgs.Offset = 0
		If eventArgs.Offset > XChart1.Xmax - 1 Then eventArgs.Offset = XChart1.Xmax - 1
		
		Label1.Text = VB6.Format(SampleRate * eventArgs.Offset / 1024, "0.00") & "Hz" & " " & VB6.Format(FFT10241.GetPowerPt(eventArgs.Offset) / FFT10241.PowerScaler, "0.00dB")
		
	End Sub
	
	
	Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		Dim S1 As String
		Dim S2 As String
		Dim inFoundPos As Short
		Dim inCounter As Short
		
		bRunning = False
		
		UltimaWaterfall1.ChartType = ULTIMAWATERFALLLib.enumCharType.uw3D
		UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwSlope
		
		Check1.CheckState = UltimaWaterfall1.ChartType
		
		If UltimaWaterfall1.ChartType = ULTIMAWATERFALLLib.enumCharType.uw3D Then
			Option1.Text = "-45 degree"
		End If
		
		Select Case UltimaWaterfall1.ChartDirection
			Case ULTIMAWATERFALLLib.enumCharDir.uwR2L
				Option1.Checked = True
			Case ULTIMAWATERFALLLib.enumCharDir.uwSlope
				Option2.Checked = True
			Case ULTIMAWATERFALLLib.enumCharDir.uwB2T
				Option3.Checked = True
			Case ULTIMAWATERFALLLib.enumCharDir.uwT2B
				Option4.Checked = True
			Case ULTIMAWATERFALLLib.enumCharDir.uwNSlope
				Option1.Checked = True
		End Select
		
		SampleRate = 2000
		
	End Sub
	
	
	
	'UPGRADE_WARNING: Event Option1.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option1_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option1.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwNSlope
        End If
    End Sub
	
	'UPGRADE_WARNING: Event Option2.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option2_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option2.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwSlope
        End If
    End Sub
	
	'UPGRADE_WARNING: Event Option3.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option3_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option3.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwB2T
        End If
    End Sub
	
	'UPGRADE_WARNING: Event Option4.CheckedChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
    Private Sub Option4_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Option4.CheckedChanged
        If formdone = False Then Exit Sub
        If eventSender.Checked Then
            UltimaWaterfall1.ChartDirection = ULTIMAWATERFALLLib.enumCharDir.uwT2B
        End If
    End Sub
	
	
	Private Sub Timer1_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Timer1.Tick
        Dim i As Integer
		f = f + 0.01
		If f = 5 Then
			f = 1
		End If
		For i = 0 To 1023
			'UPGRADE_WARNING: Couldn't resolve default property of object i. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			FFT10241.SetWaveformPt(i, 16000 * System.Math.Sin(i / f) + 16000 * System.Math.Sin(i / (5 - f)))
		Next i
		
		FFT10241.FFTNow((1024))
		XChart1.Chart((FFT10241.Power))
		UltimaWaterfall1.Chart((FFT10241.Power))
		
		Label1.Text = VB6.Format(SampleRate * FFT10241.GetPeakIdx / 1024, "0.00") & "Hz" & " " & VB6.Format(FFT10241.GetPowerPt(FFT10241.GetPeakIdx) / FFT10241.PowerScaler, "0.00dB")
		
		
	End Sub
	
	
	Private Sub UltimaWaterfall1_CrossHair(ByVal eventSender As System.Object, ByVal eventArgs As AxULTIMAWATERFALLLib._DUltimaWaterfallEvents_CrossHairEvent) Handles UltimaWaterfall1.CrossHair
        Dim ChartX As Long
        Dim ChartY As Long
		'UPGRADE_WARNING: Couldn't resolve default property of object ChartY. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		ChartY = VB6.PixelsToTwipsY(UltimaWaterfall1.Height) / VB6.TwipsPerPixelY
		'UPGRADE_WARNING: Couldn't resolve default property of object ChartX. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		ChartX = VB6.PixelsToTwipsX(UltimaWaterfall1.Width) / VB6.TwipsPerPixelX
		
		If eventArgs.x < 0 Then eventArgs.x = 0
		'UPGRADE_WARNING: Couldn't resolve default property of object ChartX. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		If eventArgs.x > ChartX Then eventArgs.x = ChartX
		If eventArgs.y < 0 Then eventArgs.y = 0
		'UPGRADE_WARNING: Couldn't resolve default property of object ChartY. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		If eventArgs.y > ChartY Then eventArgs.y = ChartY
		
		Select Case UltimaWaterfall1.ChartDirection
			Case ULTIMAWATERFALLLib.enumCharDir.uwR2L
				'UPGRADE_WARNING: Couldn't resolve default property of object ChartX. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				Label5.Text = VB6.Format(SampleRate * eventArgs.y / 1024, "0.00") & "Hz" & " -" & VB6.Format((ChartX - eventArgs.x) * 0.1, "0.00sec")
			Case ULTIMAWATERFALLLib.enumCharDir.uwR2Lx
				'UPGRADE_WARNING: Couldn't resolve default property of object ChartX. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				'UPGRADE_WARNING: Couldn't resolve default property of object ChartY. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				Label5.Text = VB6.Format(SampleRate * (ChartY - eventArgs.y) / 1024, "0.00") & "Hz" & " -" & VB6.Format((ChartX - eventArgs.x) * 0.1, "0.00sec")
			Case ULTIMAWATERFALLLib.enumCharDir.uwSlope
				'UPGRADE_WARNING: Couldn't resolve default property of object ChartY. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				eventArgs.y = ChartY - eventArgs.y
				eventArgs.x = eventArgs.x - eventArgs.y
				Label5.Text = VB6.Format(SampleRate * eventArgs.x / 1024, "0.00") & "Hz" & " -" & VB6.Format(eventArgs.y * 0.1, "0.00sec")
			Case ULTIMAWATERFALLLib.enumCharDir.uwNSlope
				If UltimaWaterfall1.ChartType = ULTIMAWATERFALLLib.enumCharType.uw2D Then
					eventArgs.x = eventArgs.x - eventArgs.y
					Label5.Text = VB6.Format(SampleRate * eventArgs.x / 1024, "0.00") & "Hz" & " -" & VB6.Format(eventArgs.y * 0.1, "0.00sec")
				Else
					eventArgs.y = eventArgs.y - UltimaWaterfall1.ColorDepth
					eventArgs.x = eventArgs.x - eventArgs.y
					Label5.Text = VB6.Format(SampleRate * eventArgs.x / 1024, "0.00") & "Hz" & " -" & VB6.Format(eventArgs.y * 0.1, "0.00sec")
				End If
			Case ULTIMAWATERFALLLib.enumCharDir.uwB2T
				'UPGRADE_WARNING: Couldn't resolve default property of object ChartY. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				Label5.Text = VB6.Format(SampleRate * eventArgs.x / 1024, "0.00") & "Hz" & " -" & VB6.Format((ChartY - eventArgs.y) * 0.1, "0.00sec")
			Case ULTIMAWATERFALLLib.enumCharDir.uwT2B
				Label5.Text = VB6.Format(SampleRate * eventArgs.x / 1024, "0.00") & "Hz" & " -" & VB6.Format(eventArgs.y * 0.1, "0.00sec")
		End Select
		
	End Sub
End Class